Searches for customers by firstname, last name, email or phone number that begins with the provided search text
GET/v1/customers/searchcustomer
Searches for customers by firstname, last name, email or phone number that begins with the provided search text. In order to match phone number a search string length of 5 is required. Searching for 2-3 characters will match exact against first and last name (not using wildcards).
Example of usage :
curl -i -u user:password -X GET http://orchestra-ip:orchestra-port/calendar-backend/api/v1//customers/searchcustomer?text=searchString
Responses
- 200
A list of GenericCustomer instances found during the search